<mamecheat version="1">

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@6125=00|(maincpu.pb@6125 BAND ~44)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@6125=00|(maincpu.pb@6125 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Select Shot Distance">
    <parameter>
      <item value="0x0708070807080708">1/2</item>
      <item value="0x0E0F0E0F0E0F0E0F">Normal</item>
      <item value="0x1E1F1E1F1E1F1E1F">X2</item>
      <item value="0x2E2F2E2F2E2F2E2F">X3</item>
      <item value="0x3E3F3E3F3E3F3E3F">X4</item>
    </parameter>
    <script state="run">
      <action>maincpu.mq@1EED=param</action>
    </script>
    <script state="off">
      <action>maincpu.mq@1EED=0E0F0E0F0E0F0E0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@6015=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@6016=07</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
